# NodeSocketInterfaceBool(NodeSocketInterfaceStandard)

base classes — `bpy_struct`, `NodeSocketInterface`, `NodeSocketInterfaceStandard`

class `bpy.types.``NodeSocketInterfaceBool`(NodeSocketInterfaceStandard)

  Boolean value socket of a node

  `default_value`

    Input value used for unconnected socket

    Type: | boolean, default False

  classmethod `bl_rna_get_subclass`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The RNA type or default when not found.
    Return type: | `bpy.types.Struct` subclass

  classmethod `bl_rna_get_subclass_py`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The class or default when not found.
    Return type: | type

Inherited Properties

`bpy_struct.id_data` `NodeSocketInterface.name` `NodeSocketInterface.identifier` | `NodeSocketInterface.is_output` `NodeSocketInterface.bl_socket_idname` `NodeSocketInterfaceStandard.type`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_overridable_library` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` | `bpy_struct.path_resolve` `bpy_struct.pop` `bpy_struct.property_overridable_library_set` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values` `NodeSocketInterface.draw` `NodeSocketInterface.draw_color` `NodeSocketInterface.register_properties` `NodeSocketInterface.init_socket` `NodeSocketInterface.from_socket` `NodeSocketInterfaceStandard.draw` `NodeSocketInterfaceStandard.draw_color`